<br>
<div class="container bg-secondary">
  <h4 class="text-light text-center">Listado de Obras</h4>
  <div class="table-responsive">
    <button class="btn btn-success text-light m-1" (click)="onGoToNew()">Agregar nueva obra</button> <button class="btn btn-info text-light m-1" routerLink="/obras/status/list">Agregar Estatus</button>
    <table class="table table-primary">
      <thead>
        <tr>
          <th scope="col">Clave</th>
          <th scope="col">Nombre obra</th>
          <th scope="col">Municipio</th>
          <th scope="col">Estado</th>
          <th scope="col">Acciones</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let item of obras$ | async">
          <td>{{item.clave}}</td>
          <td>{{item.nombre_obra}}</td>
          <td>{{item.municipio}}</td>
          <td>{{item.estado}}</td>
          <td>
            <button type="button" class="btn btn-warning m-1" (click)="onGoToEdit(item)"><b>Editar</b></button>
            <button type="button" class="btn btn-info m-1" (click)="onGoToSee(item)"><b>Ver</b></button>
            <button type="button" class="btn btn-danger m-1" (click)="onGoToDelete(item.id)"><b>Eliminar</b></button>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
